[SCM] live-tools branch, debian, updated. debian/3.0.8-1-2-ge5e621d

Daniel Baumann daniel at debian.org
Thu Aug 16 09:50:33 UTC 2012


The following commit has been merged in the debian branch:
commit e5e621d230fff75ffcd4a4423839d2afed0faddd
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Aug 16 11:48:07 2012 +0200

    Adding warning messages if the necessary tools are not installed.

diff --git a/bin/live-update-initramfs b/bin/live-update-initramfs
index 23656a4..686602e 100755
--- a/bin/live-update-initramfs
+++ b/bin/live-update-initramfs
@@ -10,6 +10,16 @@
 
 set -e
 
+if [ ! -e /usr/sbin/update-initramfs.initramfs-tools ]
+then
+	echo "E: /usr/sbin/update-initramfs.initramfs-tools - command not found"
+	echo "E: On Debian based systems, update-initramfs from initramfs-tools"
+	echo "E: can be installed with:"
+	echo "E:   apt-get install initramfs-tools"
+
+	exit 1
+fi
+
 if grep -qs "boot=live" /proc/cmdline
 then
 	if grep -qs "\/live\/image" /proc/mounts
diff --git a/bin/live-uptime b/bin/live-uptime
index 0e1af12..cecbf84 100755
--- a/bin/live-uptime
+++ b/bin/live-uptime
@@ -10,6 +10,16 @@
 
 set -e
 
+if [ ! -e /usr/bin/uptime.procps ]
+then
+	echo "E: /usr/bin/uptime.procps - command not found"
+	echo "E: On Debian based systems, uptime from procps"
+	echo "E: can be installed with:"
+	echo "E:   apt-get install procps"
+
+	exit 1
+fi
+
 _UPTIME="$(/usr/bin/uptime.procps)"
 
 _DATE_HOST="$(date +%s)"

-- 
live-tools



More information about the debian-live-changes mailing list